declare class Scrollbars extends Component<any, any, any> {
    constructor(props: any, ...rest: any[]);
    getScrollLeft(): any;
    getScrollTop(): any;
    getScrollWidth(): any;
    getScrollHeight(): any;
    getClientWidth(): any;
    getClientHeight(): any;
    getValues(): {
        left: number;
        top: number;
        scrollLeft: any;
        scrollTop: any;
        scrollWidth: any;
        scrollHeight: any;
        clientWidth: any;
        clientHeight: any;
    };
    getThumbHorizontalWidth(): any;
    getThumbVerticalHeight(): any;
    getScrollLeftForOffset(offset: any): number;
    getScrollTopForOffset(offset: any): number;
    scrollLeft(left?: number): void;
    scrollTop(top?: number): void;
    scrollToLeft(): void;
    scrollToTop(): void;
    scrollToRight(): void;
    scrollToBottom(): void;
    handleTrackMouseEnter(): void;
    handleTrackMouseLeave(): void;
    handleHorizontalTrackMouseDown(event: any): void;
    handleVerticalTrackMouseDown(event: any): void;
    handleHorizontalThumbMouseDown(event: any): void;
    handleVerticalThumbMouseDown(event: any): void;
    handleWindowResize(): void;
    handleScroll(event: any): void;
    handleDrag(event: any): boolean;
    handleDragEnd(): void;
    componentDidMountUniversal(): void;
    addListeners(): void;
    removeListeners(): void;
    viewScrollLeft: any;
    viewScrollTop: any;
    handleScrollStart(): void;
    handleScrollStartAutoHide(): void;
    handleScrollStop(): void;
    handleScrollStopAutoHide(): void;
    prevPageX: number | undefined;
    prevPageY: number | undefined;
    setupDragging(): void;
    teardownDragging(): void;
    handleDragStart(event: any): void;
    dragging: boolean | undefined;
    handleDragEndAutoHide(): void;
    trackMouseOver: boolean | undefined;
    handleTrackMouseEnterAutoHide(): void;
    handleTrackMouseLeaveAutoHide(): void;
    showTracks(): void;
    hideTracks(): void;
    hideTracksTimeout: NodeJS.Timeout | undefined;
    detectScrolling(): void;
    scrolling: boolean | undefined;
    detectScrollingInterval: any;
    lastViewScrollLeft: any;
    lastViewScrollTop: any;
    raf(callback: any): void;
    requestFrame: any;
    update(callback: any): void;
    _update(callback: any): void;
    container: Component<{}, any, any> | null | undefined;
    view: any;
    trackHorizontal: any;
    thumbHorizontal: any;
    trackVertical: any;
    thumbVertical: any;
}
declare namespace Scrollbars {
    namespace propTypes {
        const onScroll: PropTypes.Requireable<(...args: any[]) => any>;
        const onScrollFrame: PropTypes.Requireable<(...args: any[]) => any>;
        const onScrollStart: PropTypes.Requireable<(...args: any[]) => any>;
        const onScrollStop: PropTypes.Requireable<(...args: any[]) => any>;
        const onUpdate: PropTypes.Requireable<(...args: any[]) => any>;
        const renderView: PropTypes.Requireable<(...args: any[]) => any>;
        const renderTrackHorizontal: PropTypes.Requireable<(...args: any[]) => any>;
        const renderTrackVertical: PropTypes.Requireable<(...args: any[]) => any>;
        const renderThumbHorizontal: PropTypes.Requireable<(...args: any[]) => any>;
        const renderThumbVertical: PropTypes.Requireable<(...args: any[]) => any>;
        const tagName: PropTypes.Requireable<string>;
        const thumbSize: PropTypes.Requireable<number>;
        const thumbMinSize: PropTypes.Requireable<number>;
        const hideTracksWhenNotNeeded: PropTypes.Requireable<boolean>;
        const autoHide: PropTypes.Requireable<boolean>;
        const autoHideTimeout: PropTypes.Requireable<number>;
        const autoHideDuration: PropTypes.Requireable<number>;
        const autoHeight: PropTypes.Requireable<boolean>;
        const autoHeightMin: PropTypes.Requireable<string | number>;
        const autoHeightMax: PropTypes.Requireable<string | number>;
        const universal: PropTypes.Requireable<boolean>;
        const style: PropTypes.Requireable<object>;
        const children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    }
    namespace defaultProps {
        export { renderViewDefault as renderView };
        export { renderTrackHorizontalDefault as renderTrackHorizontal };
        export { renderTrackVerticalDefault as renderTrackVertical };
        export { renderThumbHorizontalDefault as renderThumbHorizontal };
        export { renderThumbVerticalDefault as renderThumbVertical };
        const tagName_1: string;
        export { tagName_1 as tagName };
        const thumbMinSize_1: number;
        export { thumbMinSize_1 as thumbMinSize };
        const hideTracksWhenNotNeeded_1: boolean;
        export { hideTracksWhenNotNeeded_1 as hideTracksWhenNotNeeded };
        const autoHide_1: boolean;
        export { autoHide_1 as autoHide };
        const autoHideTimeout_1: number;
        export { autoHideTimeout_1 as autoHideTimeout };
        const autoHideDuration_1: number;
        export { autoHideDuration_1 as autoHideDuration };
        const autoHeight_1: boolean;
        export { autoHeight_1 as autoHeight };
        const autoHeightMin_1: number;
        export { autoHeightMin_1 as autoHeightMin };
        const autoHeightMax_1: number;
        export { autoHeightMax_1 as autoHeightMax };
        const universal_1: boolean;
        export { universal_1 as universal };
    }
}
export default Scrollbars;
import { Component } from "react";
import PropTypes from "prop-types";
import { renderViewDefault } from "./defaultRenderElements";
import { renderTrackHorizontalDefault } from "./defaultRenderElements";
import { renderTrackVerticalDefault } from "./defaultRenderElements";
import { renderThumbHorizontalDefault } from "./defaultRenderElements";
import { renderThumbVerticalDefault } from "./defaultRenderElements";
